curl --request GET \
--url 'https://api.nsr.stateset.com/health' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"checks": null,
"circuit_breakers": {},
"knowledge_base": {
"entity_count": 1,
"rule_count": 1,
"triple_count": 1
},
"status": "pending",
"uptime_seconds": 250,
"version": "2026-08-01",
"warnings": [
"string"
]
}
Health check endpoint
Returns the health status of the NSR service, including version information, uptime, and knowledge base statistics…
GET
/
health
curl --request GET \
--url 'https://api.nsr.stateset.com/health' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"checks": null,
"circuit_breakers": {},
"knowledge_base": {
"entity_count": 1,
"rule_count": 1,
"triple_count": 1
},
"status": "pending",
"uptime_seconds": 250,
"version": "2026-08-01",
"warnings": [
"string"
]
}
Returns the health status of the NSR service, including version information,
uptime, and knowledge base statistics. This endpoint does not require authentication.
Example
Health check endpoint.
curl -X GET 'https://api.nsr.stateset.com/health'
Response
HealthResponse
object
object
string
required
integer (int64)
required
string
required
string[]
Status codes
| Code | Meaning |
|---|---|
200 | Service is healthy |
curl --request GET \
--url 'https://api.nsr.stateset.com/health' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"checks": null,
"circuit_breakers": {},
"knowledge_base": {
"entity_count": 1,
"rule_count": 1,
"triple_count": 1
},
"status": "pending",
"uptime_seconds": 250,
"version": "2026-08-01",
"warnings": [
"string"
]
}
Last modified on August 31, 2026